<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_use_a_publishing_template">
  <title>How to Use a Publishing Template in a PDF Transformation</title>
  <body>
		<section id="section_qt1_ptl_nhb">
			<title>From Oxygen XML Editor/Author</title>
			<p id="p_yzp_cgk_54b">A publishing template can be used for PDF output from the <uicontrol
          keyref="pdf-html5-transformation"/> transformation scenario (or from the <uicontrol
          keyref="single-topic-pdf-html5-transformation"/> transformation scenario).</p>
			<p id="p_zzp_cgk_54b">The <uicontrol>Templates</uicontrol> tab in the transformation scenario dialog box displays
        all the templates that are available in your template gallery. To use a particular template
        in the transformation scenario, simply select it from this tab and then continue configuring
        the transformation using the other tabs to suit your needs.</p>
			<p id="add-to-gallery">To add the publishing template to your templates gallery, follow these
					steps:<ol id="ol_ebh_qtl_nhb">
					<li id="li_a1q_cgk_54b">Open the transformation scenario dialog box by editing a <uicontrol
              keyref="pdf-html5-transformation"/> transformation (or a <uicontrol
              keyref="single-topic-pdf-html5-transformation"/> transformation scenario).</li>
					<li id="li_b1q_cgk_54b">
            <p id="p_c1q_cgk_54b">In the <uicontrol>Templates</uicontrol> tab, click the <uicontrol>Configure
                Publishing Templates Gallery</uicontrol> link to.</p>
            <p id="p_d1q_cgk_54b">
              <b>Step Result:</b> This will open the preferences page.</p>
          </li>
					<li id="li_e1q_cgk_54b">
            <p id="p_f1q_cgk_54b">Click the <uicontrol>Add</uicontrol> button and specify the location of your template
              directory.</p>
            <p id="p_g1q_cgk_54b">
              <b>Step Result:</b> Your template directory is now added to the <uicontrol>Additional
                Publishing Templates Galleries</uicontrol> list.</p>
          </li>
					<li id="li_h1q_cgk_54b">Click <uicontrol>OK</uicontrol> to return to the transformation scenario dialog box.</li>
				</ol></p>
      <p id="p_i1q_cgk_54b">
        <b>Result:</b> All the templates contained in your template directory will be displayed in
        the preview pane along with all the built-in templates.</p>
		</section>
		<section id="section_h1n_rtl_nhb">
			<title>From a Command Line</title>
			<p id="p_j1q_cgk_54b">You can use the <codeph>pdf.publishing.template</codeph> parameter to point
        to the <i>*.opt</i> (publishing template)
        file:<codeblock  id="codeblock_k1q_cgk_54b">dita.bat 
	--input=map\test.ditamap" 
	"-Dpdf.publishing.template=full_path_to_template_dir/my_template.opt" 
	--format=pdf-css-html5 
	...</codeblock>Or use the two parameters to indicate the folder containing the publishing
        templates and the name of the publishing template file relative to that folder:
        <codeblock  id="codeblock_l1q_cgk_54b">dita.bat 
	--input=map\test.ditamap" 
	"-Dpdf.publishing.template=full_path_to_template_dir" 
	"-Dpdf.publishing.template.descriptor=my_template.opt"
	--format=pdf-css-html5 
	...</codeblock></p>
		</section>
    <note conkeyref="reusables-transforming-documents/note-dita-ot-project-file" id="note_m1q_cgk_54b"/>
  </body>
	<related-links>
    <linklist>
      <title>Related Information:</title>
      <link href="dcpp_parameters.dita"/>
    </linklist>
	</related-links>
</topic>
